Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.invocation
Class InvocationKey

    java.lang.Object
      org.jboss.invocation.InvocationKey

All Implemented Interfaces:
  Serializable

public final class InvocationKey
extends Object
implements Serializable

Type safe enumeration used for keys in the Invocation object. This relies on an integer id as the identity for a key. When you add a new key enum value you must assign it an ordinal value of the current MAX_KEY_ID+1 and update the MAX_KEY_ID value.

Version:
  $Revision: 1.13 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Field Summary
`static InvocationKey` | `ARGUMENTS` The arguments of the method to call.
`static InvocationKey` | `CACHE_ID` The Cache-ID associates an instance in cache somewhere on the server with this invocation.
`static InvocationKey` | `CREDENTIAL` Security credential assocated with this invocation.
`static InvocationKey` | `EJB_HOME` The EJB home proxy bound for use by getEJBHome
`static InvocationKey` | `EJB_METADATA` The EJB meta-data for the `EJBHome` reference.
`static InvocationKey` | `ENTERPRISE_CONTEXT` Enterprise context
`static InvocationKey` | `INVOCATION_CONTEXT` Invocation context
`static InvocationKey` | `INVOKER` The invoker
`static InvocationKey` | `INVOKER_PROXY_BINDING` The invoker-proxy binding name
`static InvocationKey` | `JACC_CONTEXT_ID` The JAAC context id associated with the invocatio
`static InvocationKey` | `JNDI_NAME` The JNDI name of the EJB.
`static InvocationKey` | `METHOD` The invocation can be a method invocation, we give the method to call.
`static InvocationKey` | `OBJECT_NAME` We can keep a reference to an abstract "container" this invocation is associated with.
`static InvocationKey` | `PRINCIPAL` Security principal assocated with this invocation.
`static InvocationKey` | `SOAP_MESSAGE` The SOAP Message that is available to the SLSB during a service endpoint invocation
`static InvocationKey` | `SOAP_MESSAGE_CONTEXT` The SOAP Message Context that is available to the SLSB during a service endpoint invocation
`static InvocationKey` | `SUBJECT` Any authenticated Subject associated with the invocation
`static InvocationKey` | `TRANSACTION` Transactional information with the invocation.
`static InvocationKey` | `TYPE` The type can be any qualifier for the invocation, anything (used in EJB).

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TRANSACTION

    public static final InvocationKey TRANSACTION

  Transactional information with the invocation.

### PRINCIPAL

    public static final InvocationKey PRINCIPAL

  Security principal assocated with this invocation.

### CREDENTIAL

    public static final InvocationKey CREDENTIAL

  Security credential assocated with this invocation.

### SUBJECT

    public static final InvocationKey SUBJECT

  Any authenticated Subject associated with the invocation

### OBJECT_NAME

    public static final InvocationKey OBJECT_NAME

  We can keep a reference to an abstract "container" this invocation is associated with.

### TYPE

    public static final InvocationKey TYPE

  The type can be any qualifier for the invocation, anything (used in EJB).

### CACHE_ID

    public static final InvocationKey CACHE_ID

  The Cache-ID associates an instance in cache somewhere on the server with this invocation.

### METHOD

    public static final InvocationKey METHOD

  The invocation can be a method invocation, we give the method to call.

### ARGUMENTS

    public static final InvocationKey ARGUMENTS

  The arguments of the method to call.

### INVOCATION_CONTEXT

    public static final InvocationKey INVOCATION_CONTEXT

  Invocation context

### ENTERPRISE_CONTEXT

    public static final InvocationKey ENTERPRISE_CONTEXT

  Enterprise context

### INVOKER_PROXY_BINDING

    public static final InvocationKey INVOKER_PROXY_BINDING

  The invoker-proxy binding name

### INVOKER

    public static final InvocationKey INVOKER

  The invoker

### JNDI_NAME

    public static final InvocationKey JNDI_NAME

  The JNDI name of the EJB.

### EJB_METADATA

    public static final InvocationKey EJB_METADATA

  The EJB meta-data for the `EJBHome` reference.

### EJB_HOME

    public static final InvocationKey EJB_HOME

  The EJB home proxy bound for use by getEJBHome

### SOAP_MESSAGE_CONTEXT

    public static final InvocationKey SOAP_MESSAGE_CONTEXT

  The SOAP Message Context that is available to the SLSB during a service endpoint invocation

### SOAP_MESSAGE

    public static final InvocationKey SOAP_MESSAGE

  The SOAP Message that is available to the SLSB during a service endpoint invocation

### JACC_CONTEXT_ID

    public static final InvocationKey JACC_CONTEXT_ID

  The JAAC context id associated with the invocatio

Method Detail

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.